<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>debconf5 | See you in hel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css" media="all">@import "http://www.debconf.org/debconf5/misc/drupal.css";</style>
<style type="text/css">@import url(http://www.debconf.org/debconf5/modules/event/event.css);</style>
<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.debconf.org/debconf5/node/feed" />

  <style type="text/css" media="all">@import "http://www.debconf.org/debconf5/themes/debconf5/style.css";</style>

  <script type="text/javascript"> </script>
</head>

<body bgcolor="#ffffff" >

<div class="hide"><a href="http://www.debconf.org/debconf5/#content" title="Skip navigation." accesskey="2">Skip navigation</a>.</div>
      <!--a href="http://www.debconf.org/debconf5/" title="Home"><img src="http://www.debconf.org/debconf5/files/logo.png" alt="Home" width="144" height="63" border="0" /></a-->
      <!--div class='site-name'><a href="http://www.debconf.org/debconf5/./" title="Home">debconf5</a></div-->
<table id="top_line" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>

    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left_15.png"></td>
    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png"></td>
    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right_15.png"></td>
  </tr>
</table>
<table id="content" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>	
	<td colspan="5">
		<table id="primary-menu" summary="Navigation elements." border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>

		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left.png"></td>
		    <td class="top_left"><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_img.jpg"></a></td>
		    <td class="top_right" width="219" valign="top">
			   <table>
				<tr>
				  <td colspan="6"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="10"></td>
				</tr>
				<tr>
				  <td><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/home.jpg"></a></td>

				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/nav_divider.jpg"></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10" height="29"></td>
				  <td><a href="http://www.debconf.org/debconf5/search"><img src="http://www.debconf.org/debconf5/themes/debconf5/search.jpg"></a></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10"></td>
				</tr>
				<tr>
				  <td colspan="6"><form action="http://comas.linux-aktivaattori.org/comas/general/proposals/search" method="post">
    				    <div id="search">

  		  	 	  	<input class="form-text" type="text" size="15" value="" name="keys" alt="Enter the terms you wish to search for." />
    				      	<input class="form-submit" type="submit" value="Search" alt="submit" />
				        </div>
				      </form></td>	
				</tr>
			   </table>
			</td>
		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right.png"></td>
		  </tr>

		</table>
		<table id="bottom_line" border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>
		    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="7"></td>
		  </tr>
		</table>	
	</td>
  </tr>
  <tr>
  	<td colspan="5">
<div id="container">
<br/>
	<div id="comas" style="margin-left: 4%">


<h1>WTFM: Write the Fine Manual</h1>

<h2>Proposal details:</h2>

<table class="comas-table" width=100%>

<tr>
<td class="name">Abstract:</td>
<td class="input"><p><div class="hft-lines">WTFM: Write the Fine Manual[1]<br />
                      by Branden Robinson[2]<br />
<br />
The Debian Policy manual (section 12.1, &quot;Manual Pages&quot;)  exhorts us to write manual pages for all of our packages, where none already exist.  While this limitation is limited to commands and functions, it is possible and even desirable to write manual pages for system calls, the public data structures exposed by libraries, device drivers, and configuration files, among other system interfaces.<br />
<br />
If a user needs to know how to use something, a manual page is often a great way to get that information across.<br />
<br />
However, writing a manual page itself is often considered something of a black art.  The traditional *roff family of typesetters use a markup language that seems arcane to modern-day users raised on HTML.<br />
<br />
My tutorial aims to take some of the mystery out of this dark art.  In it, I will cover and explain not just an essential subset of nuts-and-bolts GNU roff (groff) syntax applicable to manual pages, but I will also offer numerous style tips and suggestions, including but not limited to:<br />
<br />
* How to decide what sections (.SH) your manpage should have;  <br />
  + appropriate suggestions will be offered for:<br />
    * executables (sections 1, 6, and 8)        <br />
    * system calls (section 2)<br />
    * functions and structures (section 3)<br />
    * device drivers (section 4)          <br />
    * file formats (section 5)<br />
    * other documentation (section 7)<br />
* How to use the .TH macro correctly (and keep mandb from<br />
  choking);<br />
* How to mark up a command-line synopsis just right;<br />
* How to mark up C data structures and function prototypes;<br />
* How to document command-line options correctly, no matter how<br />
  complex they are;<br />
* How to make sure your manpages don't render strangely in<br />
  UTF-8 or ISO-8859 character sets;  <br />
* How to use quotes and hyphens correctly;<br />
* How to avoid commonly-used extraneous and unnecessary markup;<br />
* How to portably include URLs in your manpage;<br />
* What to consider when deciding on a license for manual pages<br />
  you write;<br />
* How to decide which section your manpage belongs in;<br />
* How to register and deregister manual pages in packages using<br />
  dpkg's alternatives system safely and correctly, and thus<br />
  avoid having cron spam Debian users every night;<br />
* How to write clear and pedgaogical English;<br />
* Where to find more in-depth information;<br />
<br />
...and much more.<br />
<br />
My presentation will conclude with a brief survey of available, freely-licensed filters and front-ends to manpage generation, but the primary aim is to help the audience acquire a basic competence with GNU Roff and its &quot;an&quot; macro package.  More elaborate roff-related tools like tbl, eqn, and pic will not be covered, as they are seldom used in manpages.<br />
<br />
If I am unable to attend DebConf 5, Lars Wirzenius is prepared to make this presentation in my stead.<br />
<br />
Thank you for your consideration.  I hope to have this opportunity to advise and assist my fellow Debian Developers. <br />
<br />
[1] The audience is invited to speculate on alternative<br />
    expansions of the acronym in the title.<br />
<br />
[2] Branden Robinson has written, edited and improved more<br />
    manual pages than he can count, from numerous<br />
    Debian-specific additions to the XFree86 packages, to the<br />
    first versions of the apt-get and apt-cache manpages.<br />
    Branden will use examples from his own experiences to  <br />
    illustrate the techniques presented.<br /></div></p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Presentation type:</td>
<td class="input"><p>BOF (45 min)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Track:</td>
<td class="input"><p>Technical</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Status:</td>
<td class="input"><p>Accepted</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

</table>

<h2>Authors:</h2>

<ul>

<li><p>Branden Robinson</p>


</li>

</ul>

<h2>Files:</h2>

<ul>

</ul>

<center>
<input type="button" value="Go back" onClick="history.go(-1)">
</center>

	</div>
<br/>
<hr/>
</div>
<div id="bottom" class="margin-left: 4%">
&nbsp;<a href="http://www.debconf.org/debconf5">Debconf 5</a><br/> 
&nbsp;&nbsp;&nbsp;Powered by <a href="http://gborg.postgresql.org/project/comas">COMAS</a>, 
the Conference Management System by <a href="http://www.consol.org.mx">CONSOL</a>
</div>
</td>
</tr>
</table>

</body>
</html>

